import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { Features } from '../models';
import { FeaturesRepository } from '../repositories';
export declare class FeaturesController {
    featuresRepository: FeaturesRepository;
    constructor(featuresRepository: FeaturesRepository);
    create(features: Features): Promise<Features>;
    count(where?: Where<Features>): Promise<Count>;
    find(filter?: Filter<Features>): Promise<Features[]>;
    updateAll(features: Features, where?: Where<Features>): Promise<Count>;
    findById(id: string, filter?: FilterExcludingWhere<Features>): Promise<Features>;
    updateById(id: string, features: Features): Promise<void>;
    replaceById(id: string, features: Features): Promise<void>;
    deleteById(id: string): Promise<void>;
}
