import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { Strategies } from '../models';
import { StrategiesRepository } from '../repositories';
export declare class StrategiesController {
    strategiesRepository: StrategiesRepository;
    constructor(strategiesRepository: StrategiesRepository);
    create(strategies: Strategies): Promise<Strategies>;
    count(where?: Where<Strategies>): Promise<Count>;
    find(filter?: Filter<Strategies>): Promise<Strategies[]>;
    updateAll(strategies: Strategies, where?: Where<Strategies>): Promise<Count>;
    findById(id: string, filter?: FilterExcludingWhere<Strategies>): Promise<Strategies>;
    updateById(id: string, strategies: Strategies): Promise<void>;
    replaceById(id: string, strategies: Strategies): Promise<void>;
    deleteById(id: string): Promise<void>;
}
