"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureFlagActionProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const keys_1 = require("../keys");
let FeatureFlagActionProvider = class FeatureFlagActionProvider {
    constructor(getMetadata, ctx) {
        this.getMetadata = getMetadata;
        this.ctx = ctx;
        this.result = true;
    }
    value() {
        return () => this.action();
    }
    async action() {
        const metadata = await this.getMetadata();
        if (!metadata ||
            (metadata.features.length === 1 && metadata.features[0] === '*')) {
            this.result = true;
            return this.result;
        }
        const features = metadata.features;
        for (const item of features) {
            const isFeatureEnabled = await this.ctx.get(item);
            this.result = isFeatureEnabled() && this.result;
        }
        return this.result;
    }
};
FeatureFlagActionProvider = (0, tslib_1.__decorate)([
    (0, tslib_1.__param)(0, core_1.inject.getter(keys_1.StrategyBindings.METADATA)),
    (0, tslib_1.__param)(1, core_1.inject.context()),
    (0, tslib_1.__metadata)("design:paramtypes", [Function, core_1.Context])
], FeatureFlagActionProvider);
exports.FeatureFlagActionProvider = FeatureFlagActionProvider;
//# sourceMappingURL=feature-flag-action.provider.js.map