"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantFeatureProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const loopback4_authentication_1 = require("loopback4-authentication");
const unleash_client_1 = require("unleash-client"); //NOSONAR
const keys_1 = require("../keys");
let TenantFeatureProvider = class TenantFeatureProvider {
    constructor(unleashConst, user) {
        this.unleashConst = unleashConst;
        this.user = user;
    }
    value() {
        return () => {
            var _a;
            const context = {
                myTenant: (_a = this.user) === null || _a === void 0 ? void 0 : _a.tenantId,
            };
            return this.unleashConst.isEnabled('tenant-feature', context);
        };
    }
};
TenantFeatureProvider = (0, tslib_1.__decorate)([
    (0, tslib_1.__param)(0, (0, core_1.inject)(keys_1.UNLEASH_CONST)),
    (0, tslib_1.__param)(1, (0, core_1.inject)(loopback4_authentication_1.AuthenticationBindings.CURRENT_USER)),
    (0, tslib_1.__metadata)("design:paramtypes", [unleash_client_1.Unleash, Object])
], TenantFeatureProvider);
exports.TenantFeatureProvider = TenantFeatureProvider;
//# sourceMappingURL=tenant-feature.provider.js.map