/// <reference types="i18n" />
import { ExpressRequestHandler, FindRoute, InvokeMethod, InvokeMiddleware, ParseParams, Reject, RequestContext, Send, SequenceHandler } from '@loopback/rest';
import { IAuthUserWithPermissions, ILogger } from '@sourceloop/core';
import { AuthenticateFn } from 'loopback4-authentication';
import { AuthorizeFn } from 'loopback4-authorization';
import { FeatureFlagFn } from './types';
export declare class FeatureToggleSequence implements SequenceHandler {
    protected findRoute: FindRoute;
    protected parseParams: ParseParams;
    protected invoke: InvokeMethod;
    send: Send;
    reject: Reject;
    protected authenticateRequest: AuthenticateFn<IAuthUserWithPermissions>;
    protected checkAuthorisation: AuthorizeFn;
    logger: ILogger;
    protected i18n: i18nAPI;
    protected checkFeatureFlag: FeatureFlagFn;
    protected invokeMiddleware: InvokeMiddleware;
    protected expressMiddlewares: ExpressRequestHandler[];
    constructor(findRoute: FindRoute, parseParams: ParseParams, invoke: InvokeMethod, send: Send, reject: Reject, authenticateRequest: AuthenticateFn<IAuthUserWithPermissions>, checkAuthorisation: AuthorizeFn, logger: ILogger, i18n: i18nAPI, // sonarignore:end
    checkFeatureFlag: FeatureFlagFn);
    handle(context: RequestContext): Promise<void>;
    private _rejectErrors;
}
